Package: grails.databinding

## [Java] Interface TypedStructuredBindingEditor<T>

- grails.databinding.BindingHelper

- All Superinterfaces:
    StructuredBindingEditor, BindingHelper

      public interface TypedStructuredBindingEditor<T>
      extends StructuredBindingEditor

  Since:
    3.0
  See Also:
    StructuredBindingEditor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Class<T>` | `getTargetType()` Returns: the type that this editor is used for binding to

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface StructuredBindingEditor` | `getPropertyValue`
    `interface BindingHelper` | `getPropertyValue`

- - ### Method Detail

    - #### public java.lang.Class<T> getTargetType()

      Returns:
        the type that this editor is used for binding to